Payslips & compensation
Get Hris Payslips For Role In Org
Lists one employee's non-deleted payslips for a client admin.
GEThttps://api.toku.com/hris/get-hris-payslips-for-role-in-org
Required scope: compensation:read
curl --request GET \
--url 'https://api.toku.com/hris/get-hris-payslips-for-role-in-org?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
[
{
"hrisPayslipID": "string",
"roleInOrgID": "string",
"payslipDate": "string",
"payPeriodLabel": "string",
"grossAmount": "string",
"employeeWithholdingAmount": "string",
"netAmount": "string",
"digitalAssetGross": "string",
"digitalAssetNet": "string",
"tokenWithholdingAmount": "string",
"payslipKind": "COMBINED",
"createdAt": "string",
"currency": {
"currencyID": "string",
"currencyCode": "string",
"name": "string"
},
"tokenCurrency": {
"currencyID": "string",
"currencyCode": "string",
"name": "string"
},
"components": [
{
"hrisPayslipComponentID": "string",
"type": "EARNING",
"category": "string",
"label": "string",
"amount": "string",
"tokenUnits": "string",
"fmvRate": "string",
"sortOrder": 0,
"currencyCode": "string"
}
],
"file": {
"fileID": "string",
"fileName": "string",
"mimeType": "string",
"fileSizeInBytes": 0
},
"createdBy": {
"roleInOrgID": "string",
"fullName": "string",
"email": "string"
}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredResponse
200Successful response
hrisPayslipIDstringrequiredroleInOrgIDstringrequiredpayslipDatestringrequiredpayPeriodLabelstringrequiredgrossAmountstringrequiredemployeeWithholdingAmountstringrequirednetAmountstringrequireddigitalAssetGrossstring | nullrequireddigitalAssetNetstring | nullrequiredtokenWithholdingAmountstring | nullrequiredpayslipKindstringrequiredAvailable options: COMBINED, FIAT, TOKEN
createdAtstringrequiredcurrencyobjectrequiredShow child attributes
currencyIDstringrequiredcurrencyCodestringrequirednamestringrequiredtokenCurrencyobject | nullrequiredShow child attributes
currencyIDstringrequiredcurrencyCodestringrequirednamestringrequiredcomponentsobject[]requiredShow child attributes
hrisPayslipComponentIDstringrequiredtypestringrequiredAvailable options: EARNING, DEDUCTION, EMPLOYER_CONTRIBUTION
categorystringrequiredlabelstringrequiredamountstringrequiredtokenUnitsstring | nullrequiredfmvRatestring | nullrequiredsortOrderintegerrequiredcurrencyCodestring | nullrequiredfileobject | nullrequiredShow child attributes
fileIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileSizeInBytesnumber | nullrequiredcreatedByobjectrequiredShow child attributes
roleInOrgIDstringrequiredfullNamestringrequiredemailstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits